//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace LoginForm_Database_.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;

    public partial class Ragistration
    {
        public int Id { get; set; }
        [Required(ErrorMessage = "FirstName is mandatory")]
        public string Firstname { get; set; }
        [Required(ErrorMessage = "LastName is mandatory")]
        public string Lastname { get; set; }
        [Required(ErrorMessage = "Coursename  is mandatory")]
        public int Course1 { get; set; }
        [Required(ErrorMessage = "Batch is mandatory")]
        public int Batch1 { get; set; }
        [DataType(DataType.Date)]
        [Required(ErrorMessage ="DOB is mandatory")]
        public string DOB { get; set; }
        public int Semester { get; set; }
        [DataType(DataType.Date)]
        public string DOJ { get; set; }
        public long Mbl { get; set; }
    
        public virtual BatchDetail BatchDetail { get; set; }
        public virtual CourseDetail CourseDetail { get; set; }
    }
}
